USN-5722-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5722-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5722-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5722-1
Related
Published
2022-11-15T05:25:25.234653Z
Modified
2022-11-15T05:25:25.234653Z
Summary
nginx vulnerabilities
Details

It was discovered that nginx incorrectly handled certain memory operations in the ngxhttpmp4_module module. A local attacker could possibly use this issue with a specially crafted mp4 file to cause nginx to crash, stop responding, or access arbitrary memory. (CVE-2022-41741, CVE-2022-41742)

References

Affected packages

Ubuntu:Pro:14.04:LTS / nginx

Package

Name
nginx

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.4.6-1ubuntu3.9+esm4

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "nginx-light": "1.4.6-1ubuntu3.9+esm4",
            "nginx-extras": "1.4.6-1ubuntu3.9+esm4",
            "nginx-full": "1.4.6-1ubuntu3.9+esm4",
            "nginx-naxsi": "1.4.6-1ubuntu3.9+esm4",
            "nginx": "1.4.6-1ubuntu3.9+esm4",
            "nginx-common": "1.4.6-1ubuntu3.9+esm4",
            "nginx-naxsi-ui": "1.4.6-1ubuntu3.9+esm4",
            "nginx-core": "1.4.6-1ubuntu3.9+esm4",
            "nginx-doc": "1.4.6-1ubuntu3.9+esm4"
        }
    ]
}

Ubuntu:22.04:LTS / nginx

Package

Name
nginx

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.18.0-6ubuntu14.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libnginx-mod-http-headers-more-filter": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-dav-ext": "1.18.0-6ubuntu14.3",
            "libnginx-mod-stream": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-perl": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-subs-filter": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-fancyindex": "1.18.0-6ubuntu14.3",
            "nginx-core": "1.18.0-6ubuntu14.3",
            "libnginx-mod-nchan": "1.18.0-6ubuntu14.3",
            "nginx-light": "1.18.0-6ubuntu14.3",
            "libnginx-mod-mail": "1.18.0-6ubuntu14.3",
            "nginx-extras": "1.18.0-6ubuntu14.3",
            "libnginx-mod-stream-geoip": "1.18.0-6ubuntu14.3",
            "libnginx-mod-rtmp": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-upstream-fair": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-auth-pam": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-geoip2": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-cache-purge": "1.18.0-6ubuntu14.3",
            "libnginx-mod-stream-geoip2": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-uploadprogress": "1.18.0-6ubuntu14.3",
            "nginx-common": "1.18.0-6ubuntu14.3",
            "nginx-full": "1.18.0-6ubuntu14.3",
            "nginx": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-ndk": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-image-filter": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-echo": "1.18.0-6ubuntu14.3",
            "nginx-doc": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-geoip": "1.18.0-6ubuntu14.3",
            "libnginx-mod-http-xslt-filter": "1.18.0-6ubuntu14.3"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / nginx

Package

Name
nginx

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.10.3-0ubuntu0.16.04.5+esm5

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "nginx-light": "1.10.3-0ubuntu0.16.04.5+esm5",
            "nginx-extras": "1.10.3-0ubuntu0.16.04.5+esm5",
            "nginx-common": "1.10.3-0ubuntu0.16.04.5+esm5",
            "nginx-full": "1.10.3-0ubuntu0.16.04.5+esm5",
            "nginx": "1.10.3-0ubuntu0.16.04.5+esm5",
            "nginx-core": "1.10.3-0ubuntu0.16.04.5+esm5",
            "nginx-doc": "1.10.3-0ubuntu0.16.04.5+esm5"
        }
    ]
}

Ubuntu:18.04:LTS / nginx

Package

Name
nginx

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.14.0-0ubuntu1.11

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libnginx-mod-nchan": "1.14.0-0ubuntu1.11",
            "nginx-light": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-image-filter": "1.14.0-0ubuntu1.11",
            "libnginx-mod-mail": "1.14.0-0ubuntu1.11",
            "nginx-extras": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-headers-more-filter": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-dav-ext": "1.14.0-0ubuntu1.11",
            "libnginx-mod-stream": "1.14.0-0ubuntu1.11",
            "libnginx-mod-rtmp": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-upstream-fair": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-auth-pam": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-perl": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-cache-purge": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-subs-filter": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-fancyindex": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-uploadprogress": "1.14.0-0ubuntu1.11",
            "nginx-common": "1.14.0-0ubuntu1.11",
            "nginx-full": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-lua": "1.14.0-0ubuntu1.11",
            "nginx": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-echo": "1.14.0-0ubuntu1.11",
            "nginx-core": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-ndk": "1.14.0-0ubuntu1.11",
            "nginx-doc": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-geoip": "1.14.0-0ubuntu1.11",
            "libnginx-mod-http-xslt-filter": "1.14.0-0ubuntu1.11"
        }
    ]
}

Ubuntu:20.04:LTS / nginx

Package

Name
nginx

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.18.0-0ubuntu1.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libnginx-mod-nchan": "1.18.0-0ubuntu1.4",
            "nginx-light": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-image-filter": "1.18.0-0ubuntu1.4",
            "libnginx-mod-mail": "1.18.0-0ubuntu1.4",
            "nginx-extras": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-headers-more-filter": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-dav-ext": "1.18.0-0ubuntu1.4",
            "libnginx-mod-stream": "1.18.0-0ubuntu1.4",
            "libnginx-mod-rtmp": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-upstream-fair": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-auth-pam": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-geoip2": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-cache-purge": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-perl": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-subs-filter": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-fancyindex": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-uploadprogress": "1.18.0-0ubuntu1.4",
            "nginx-common": "1.18.0-0ubuntu1.4",
            "nginx-full": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-lua": "1.18.0-0ubuntu1.4",
            "nginx": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-echo": "1.18.0-0ubuntu1.4",
            "nginx-core": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-ndk": "1.18.0-0ubuntu1.4",
            "nginx-doc": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-geoip": "1.18.0-0ubuntu1.4",
            "libnginx-mod-http-xslt-filter": "1.18.0-0ubuntu1.4"
        }
    ]
}